#
#	File:		RenameGXHeaders.make
#
#	Contains:	makefile for RenameGXHeaders MPW tool
#				target - 	RenameGXHeaders
#				sources -	RenameGXHeaders.c
#
#	Written by:	John Daggett
#
#	Copyright:	 1994-1995 by Apple Computer, Inc., all rights reserved.
#
#	Change History (most recent first):
#
#		 <3>	  6/6/95	JD		adjusted to allow building under NR while leaving in a form that
#									can be sent to developers
#		 <2>	  5/4/95	JD		updated for use with SC
#		 <1>	  4/5/95	jtd		First checked in.

# for use with 'Latest MPW' on ETO 18 
CC		= C
TOOLLIBS	= "{CLibraries}"StdClib.o "{Libraries}"Runtime.o "{Libraries}"Interface.o

# for use with later versions of MPW setup with Symantec C
#CC			= SC
#TOOLLIBS	= "{CLibraries}"StdClib.o "{Libraries}"Stubs.o "{Libraries}"MacRuntime.o "{Libraries}"IntEnv.o "{Libraries}"Interface.o

OBJECTDIR	= 
OBJECTS 	= "{OBJECTDIR}"RenameGXHeaders.c.o
TARGETDIR	=
INCLUDES 	= "{MPW}"Interfaces:CIncludes:

RenameGXHeaders  RenameGXHeaders.make  {OBJECTS}
	Link -d -c 'MPS ' -t MPST {OBJECTS} {TOOLLIBS} -o "{TARGETDIR}"RenameGXHeaders
		
"{OBJECTDIR}"RenameGXHeaders.c.o  RenameGXHeaders.make RenameGXHeaders.c
	{CC} -r -i {INCLUDES} RenameGXHeaders.c -o {OBJECTS}




