typedef struct {
	short			runIndex;
	short			runOffset;
	short			replaceIndex;
} ReplaceRec, * ReplacePtr, ** ReplaceHan;

typedef struct {
	DocPtr			dp;
	GXEditProofPtr	proof;
	short			curChar[kGXEditNumReplace];
	Boolean			done;
	long			numReplacements;
	ReplaceHan		replaceList;
} ReplacementRec, * ReplacementPtr;

void	NewReplacements(DocPtr dp, GXEditProofPtr proof, ReplacementPtr replacements);
void	DoReplacements(ReplacementPtr replacements);
Boolean TestReplacements(ReplacementPtr replacements);
void	DisposeReplacements(ReplacementPtr replacements);
