/*
	File:			GXEditSelection.h
	
	Contains:
	
	Written by:		Barton R. House
	
	Copyright:		 1993 by Apple Computer, Inc., All rights reserved.
	
*/

void 	SetSelection(DocPtr dp, long start, long end, Boolean setEmptyStyle, Boolean endOfLine, Boolean setMaxLineOffset);

void 	GetParagraphIndexAndOffset(DocPtr dp, long docOffset, short * paragraphIndexPtr,
										short * paragraphOffsetPtr, Boolean endOfLine);

void 	GetLineIndexAndOffset(DocPtr dp, ParaPtr pp, short paragraphOffset,
										short * lineIndexPtr, short * lineOffsetPtr, Boolean endOfLine);
																	 

void	GetNewRunIndexAndOffset(DocPtr dp, ParaPtr pp, short paraOffset,
											short * runIndexPtr, short * runOffsetPtr);

/*Boolean	SetSelectionTextFonts(DocPtr dp, short numFonts, gxFont * srcFonts, gxFont * dstFonts);*/
/*Boolean	SetSelectionTextSize(DocPtr dp, short size);*/

void	GetSelectionAttributes(DocPtr dp, AttrPtr ap);

Boolean	SetSelectionStyles(DocPtr dp, short numStyles, short * oldStyles, short * newStyles);
										
