/*
 *	Main.h
 *
 *	Robert Dierkes,  November 11, 1993
 *
 *	Change History:
 *
 *	   4/93	???		New
 *	   4/96	bob		Removed unused macros (GetWindowKind & SetWindowKind).
 *					Added the copyright info.
 *
 *
 *		 Apple Computer, Inc. 1990 - 1996  All rights reserved
 *
 */

#define		kGraphicsHeapSize	(400 * 1024L)
#define		kCycleLength		(60*60)			/* Ticks */

/*----------------------*/
/*	Menus & Windows		*/
/*----------------------*/
enum
{
	menuBarRsrcID	= 128,
	windowRsrcID	= 128,
	appleMenuRsrcID	= 128,
	fileMenuRsrcID,
	animationMenuRsrcID,
	objectMenuRsrcID,
	windowMenuRsrcID,

	aboutRsrcID		= 128
};

enum
{
	itemAbout		= 1,	/*	appleMenuRsrcID		*/

	itemQuit		= 1,	/*	fileMenuRsrcID		*/

	itemBegin		= 1,	/*	animationMenuRsrcID	*/
	itemEnd,
	itemStep,

	itemSquare		= 1,	/*	objectMenuRsrcID	*/
	itemOval,
	itemDash1,
	itemDither,
	itemHalftone,

	itemShowFrame	= 1,	/*	windowMenuRsrcID	*/
	itemDash2,
	itemMinimumPanes,
	itemDash3 = itemMinimumPanes + kMaximumPanesPerSide,
	itemCycle
};


#define		kHiliteAllMenus		(short) 0
#define		kWindowOnTop		((WindowPtr) -1)
#define		kWindowTitleHeight	(short) 20


Boolean	InitApp (void);
void ExitApp (void);
void InitializeMenus (void);
WindowPtr InitializeWindow (void);
void DoContentClick (EventRecord *pEvent, WindowPtr theWindow);
void DoMenuCommand (long menuResult);
void DoGrowBox (EventRecord *pEvent, WindowPtr theWindow);
void DoZoomBox (EventRecord *pEvent, WindowPtr theWindow, short windowPart);
void DoNullEvent (EventRecord *pEvent);
void DoMouseDown (EventRecord *pEvent);
void DoKeyStroke (EventRecord *pEvent);
void DoUpdate (EventRecord *pEvent);
void DoActivate (EventRecord *pEvent);
void DoEvent (void);
