#   File:       TestCubics.make
#   Target:     TestCubics
#   Sources:    TestCubics.c
#               TestCubics.r
#               cubic library(Cubics2).c
#   Created:    Thursday, March 21, 1996 01:24:40 AM
#   Modified:	Thursday, April 11, 1996


MAKEFILE     = TestCubics.make
MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     = -i "{MPW}GXLibraries:"
Sym68K      = 
ObjDir68K   =

COptions     = {Includes} {Sym68K} -model far 

Objects68K  = 
		"{MPW}GXLibraries:GraphicsDebugLibrary.c.o" 
		"{MPW}GXLibraries:TransformLibrary.c.o" 
		"{MPW}GXLibraries:TransferModeLibrary.c.o" 
		"{MPW}GXLibraries:ShapeLibrary.c.o" 
		"{MPW}GXLibraries:CubicLibrary.c.o" 
		"{ObjDir68K}TestCubics.c.o" 
		"{ObjDir68K}cubic library(Cubics2).c.o"


TestCubics  {MondoBuild} {Objects68K}
	Link 
		-o {Targ} -d {Sym68K} 
		{Objects68K} 
		-t 'APPL' 
		-c '????' 
		-model far 
		"{Libraries}MathLib.o" 
		#"{CLibraries}Complex.o" 
		"{CLibraries}StdCLib.o" 
		"{Libraries}MacRuntime.o" 
		"{Libraries}IntEnv.o" 
		"{Libraries}Interface.o"


TestCubics  {MondoBuild} TestCubics.r
	Rez TestCubics.r -o {Targ} {Includes} -append


"{ObjDir68K}TestCubics.c.o"  {MondoBuild} TestCubics.c
	{C} TestCubics.c -o {Targ} {COptions}

"{ObjDir68K}cubic library(Cubics2).c.o"  {MondoBuild} "cubic library(Cubics2).c"
	{C} "cubic library(Cubics2).c" -o {Targ} {COptions}

