#   File:       viewPort Mania.mpwfat.make
#   Target:     viewPort Mania.mpwfat
#   Sources:    {MPW}GXLibraries:ColorLibrary.c
#               {MPW}GXLibraries:FontLibrary.c
#               {MPW}GXLibraries:GraphicsDebugLibrary.c
#               {MPW}GXLibraries:ShapeLibrary.c
#               {MPW}GXLibraries:TransformLibrary.c
#               graphics shell.c
#               graphics shell.r
#               viewPort Mania.c
#   Created:    Sunday, March 24, 1996 06:33:00 PM
#   Modified:		Thursday, April 11, 1996


MAKEFILE     = "viewPort Mania.mpwfat.make"
MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     = -i "{MPW}GXLibraries:"
SymPPC      = 
ObjDirPPC   = :ObjPPC:
Sym68K      = 
ObjDir68K   = :Obj68K:

PPCCOptions  = {Includes} {SymPPC} 

COptions     = {Includes} {Sym68K} 

ObjectsPPC  = 
		"Macintosh HD:Development:MPW:Libraries:PPCLibraries:QuickDrawGXLib.xcoff" 
		"{ObjDirPPC}ColorLibrary.c.x" 
		"{ObjDirPPC}FontLibrary.c.x" 
		"{ObjDirPPC}GraphicsDebugLibrary.c.x" 
		"{ObjDirPPC}TransformLibrary.c.x" 
		"{ObjDirPPC}graphics shell.c.x" 
		"{ObjDirPPC}viewPort Mania.c.x"

Objects68K  = 
		"{ObjDir68K}ColorLibrary.c.o" 
		"{ObjDir68K}FontLibrary.c.o" 
		"{ObjDir68K}GraphicsDebugLibrary.c.o" 
		"{ObjDir68K}TransformLibrary.c.o" 
		"{ObjDir68K}graphics shell.c.o" 
		"{ObjDir68K}viewPort Mania.c.o"


"viewPort Mania.mpwfat"  {MondoBuild} {ObjectsPPC}
	PPCLink 
		-o {Targ} {SymPPC} 
		{ObjectsPPC} 
		-t 'APPL' 
		-c '????' 
		"{SharedLibraries}InterfaceLib" 
		"{SharedLibraries}StdCLib" 
		"{SharedLibraries}MathLib" 
		"{PPCLibraries}StdCRuntime.o" 
		"{PPCLibraries}PPCCRuntime.o" 
		"{PPCLibraries}PPCToolLibs.o"


"viewPort Mania.mpwfat"  {MondoBuild} {Objects68K}
	Link 
		-o {Targ} -d {Sym68K} 
		{Objects68K} 
		-t 'APPL' 
		-c '????' 
		"{Libraries}MacRuntime.o" 
		"{Libraries}Interface.o"


"viewPort Mania.mpwfat"  {MondoBuild} "graphics shell.r"
	Rez "graphics shell.r" -o {Targ} {Includes} -append


"{ObjDirPPC}ColorLibrary.c.x"  {MondoBuild} "{MPW}GXLibraries:ColorLibrary.c"
	{PPCC} "{MPW}GXLibraries:ColorLibrary.c" -o {Targ} {PPCCOptions}

"{ObjDirPPC}FontLibrary.c.x"  {MondoBuild} "{MPW}GXLibraries:FontLibrary.c"
	{PPCC} "{MPW}GXLibraries:FontLibrary.c" -o {Targ} {PPCCOptions}

"{ObjDirPPC}GraphicsDebugLibrary.c.x"  {MondoBuild} "{MPW}GXLibraries:GraphicsDebugLibrary.c"
	{PPCC} "{MPW}GXLibraries:GraphicsDebugLibrary.c" -o {Targ} {PPCCOptions}

"{ObjDirPPC}ShapeLibrary.c.x"  {MondoBuild} "{MPW}GXLibraries:ShapeLibrary.c"
	{PPCC} "{MPW}GXLibraries:ShapeLibrary.c" -o {Targ} {PPCCOptions}

"{ObjDirPPC}TransformLibrary.c.x"  {MondoBuild} "{MPW}GXLibraries:TransformLibrary.c"
	{PPCC} "{MPW}GXLibraries:TransformLibrary.c" -o {Targ} {PPCCOptions}

"{ObjDirPPC}graphics shell.c.x"  {MondoBuild} "graphics shell.c"
	{PPCC} "graphics shell.c" -o {Targ} {PPCCOptions}

"{ObjDirPPC}viewPort Mania.c.x"  {MondoBuild} "viewPort Mania.c"
	{PPCC} "viewPort Mania.c" -o {Targ} {PPCCOptions}


"{ObjDir68K}ColorLibrary.c.o"  {MondoBuild} "{MPW}GXLibraries:ColorLibrary.c"
	{C} "{MPW}GXLibraries:ColorLibrary.c" -o {Targ} {COptions}

"{ObjDir68K}FontLibrary.c.o"  {MondoBuild} "{MPW}GXLibraries:FontLibrary.c"
	{C} "{MPW}GXLibraries:FontLibrary.c" -o {Targ} {COptions}

"{ObjDir68K}GraphicsDebugLibrary.c.o"  {MondoBuild} "{MPW}GXLibraries:GraphicsDebugLibrary.c"
	{C} "{MPW}GXLibraries:GraphicsDebugLibrary.c" -o {Targ} {COptions}

"{ObjDir68K}ShapeLibrary.c.o"  {MondoBuild} "{MPW}GXLibraries:ShapeLibrary.c"
	{C} "{MPW}GXLibraries:ShapeLibrary.c" -o {Targ} {COptions}

"{ObjDir68K}TransformLibrary.c.o"  {MondoBuild} "{MPW}GXLibraries:TransformLibrary.c"
	{C} "{MPW}GXLibraries:TransformLibrary.c" -o {Targ} {COptions}

"{ObjDir68K}graphics shell.c.o"  {MondoBuild} "graphics shell.c"
	{C} "graphics shell.c" -o {Targ} {COptions}

"{ObjDir68K}viewPort Mania.c.o"  {MondoBuild} "viewPort Mania.c"
	{C} "viewPort Mania.c" -o {Targ} {COptions}

