
/*
	File:		PicturesAndPICTLibrary.h

	Contains:	This file defines interfaces to the printing PicturesAndPICT library.

	Version:	Quickdraw GX 1.1

	Written by:	Dave Hersey

	Copyright:	 1994-1995 by Apple Computer, Inc., all rights reserved.

	File Ownership:

		DRI:             	 		Dave Hersey

		Other Contact:		Ron Voss

		Technology: 			QuickDraw GX
  
	Change History (most recent first):

		 <1>	  6/6/95	DH		First checked in.
*/

#ifndef _PICTURESANDPICTLIBRARY_
#define _PICTURESANDPICTLIBRARY_

#include <Types.h>
#include <Quickdraw.h>
#include <ToolUtils.h>
#include <Memory.h>
#include <GXMath.h>
#include <StorageLibrary.h>
#include <OffscreenLibrary.h>
#include <QDLibrary.h>
#include <GXPrinting.h>
#include <GXGraphics.h>

/* Shape routines */

PicHandle	PictureToPICT(gxShape theShape, Boolean simpleProxy);

#endif