/*
	File:			GXEditLine.h
	
	Contains:
	
	Written by:		Barton R. House
	
	Copyright:		 1993 by Apple Computer, Inc., All rights reserved.
	
*/

void 	InsertDocLineText(DocPtr dp, LinePtr lp, short lineOffset, short numText);

void 	JoinDocLines(LinePtr left, LinePtr right);

void 	SplitDocLine(DocPtr dp, LinePtr lp, short lineOffset, LinePtr newLine);

void 	DrawDocLine(DocPtr dp, ParaPtr pp, LinePtr lp);

void 	NewDocLine(LinePtr lp);

short HitTestDocLine(DocPtr dp, ParaPtr pp, LinePtr lp, Point where);

void 	DocLinePosition(LinePtr lp, long * start, long * end);

short GetLineOffset(DocPtr dp, ParaPtr pp, LinePtr lp, short offsetType, short lineOffset);

void 	DocLineClear(DocPtr dp, LinePtr lp, short lineOffset, short numGlyphs);

void 	DisposeDocLine(LinePtr lp);

short	GetLineHeight(DocPtr dp, ParaPtr pp, LinePtr lp);
