/*
	File:			GXEditNewRun.h
	
	Contains:
	
	Written by:		Barton R. House
	
	Copyright:		 1993 by Apple Computer, Inc., All rights reserved.
	
*/

void InsertNewRunText(DocPtr dp, NewRunPtr rp, short runOffset, void * glyphs, short numGlyphs);
								 
void SplitNewRun(DocPtr dp, NewRunPtr rp, short runOffset, NewRunPtr newRun);

void JoinNewRuns(DocPtr dp, NewRunPtr leftRun, NewRunPtr rightRun);

void NewNewRun(DocPtr dp, NewRunPtr rp, short styleIndex);

void NewRunClear(DocPtr dp, NewRunPtr rp, short runOffset, short numGlyphs);

void DisposeNewRun(DocPtr dp, NewRunPtr rp);

void SetNewRunTextFont(DocPtr dp, NewRunPtr rp, gxFont fontID);

void SetNewRunTextSize(DocPtr dp, NewRunPtr rp, short size);
