/**\
|**| =====================================================================
|**|
|**|	FILENAME
|**|		TestCubicsRef.h
|**|    
|**|	DESCRIPTION
|**|		This is the include file for the TestCubics Quickdraw GX
|**|		sample program which is used by both the program and resource
|**|		file.
|**|	
|**|	COPYRIGHT
|**|		1992-1996 Copyright Apple Computer, Inc.
|**|		All rights reserved.
|**|    
|**|	Change History:
|**|
|**| 	   4/96	cnn		Updated the header filename, description, and
|**|					copyright. Changed mClip to mPoints. Removed
|**|					non-functional "Open..." and "Save As..." menu
|**|					items from File menu. Removed unused rClearDITL
|**|					and rClearAlert.
|**|
|**| =====================================================================
\**/

#define	rMenuBar		128				/* application's menu bar */
#define	rAboutAlert	128				/* about alert */
#define rAboutDITL	128				/* items */
#define rDocWindow	128
#define rBndl				128
#define rIcon				128
#define rFref				128
#define rHandCurs		128

#define	mApple			128		/* Apple menu */
#define	iAbout			1

#define	mFile				129		/* File menu */
#define	iQuit				1

#define	mEdit				130		/* Edit menu */
#define	iUndo				1
#define	iCut				3
#define	iCopy				4
#define	iPaste			5
#define	iClear			6

#define mPoints				131		/* Points Menu */

#define mError			132
#define	iOneTenth			1
#define	iOneQuater		2
#define iOneHalf			3
#define	iThreeQuaters	4
#define	iOne					5
#define	iTwo					6
#define	iFour					7
#define	iEight				8

#define kPrefSize	4000
#define kMinSize	2000
