#
# This is the Makefile for Experiment no.9
#
#                Dave Hersey
#     Apple Developer Technical Support
#
#
#  4/26/93	- dmh - Thrown on the grill.
#  9/10/93	- dmh - Updated for b2.
#			- Neutralized some nasty bugs.
# 12/18/93  - dmh - Updated for b3.
#  3/22/94  - dmh - Updated for b4.
#  7/14/94  - dmh - Updated for final.
#  8/24/94  - dmh - Universalized.
#  6/14/96  - cn  - Updated to support MPW Pro #19.
#
#------------------------------------------------------
Creator		= 'Ex#9'
ObjPath		= :Objects :

GXLibraries	= {MPW}GXLibraries:
RezOptions	= -append -i "{RIncludes}"

COptions	= -r -mc68020 -d mpw -d applec -d debugging -i "{CIncludes}" -i "{GXLibraries}"

LinkOptions	= -t APPL -c {Creator}

MakeFile	= Experiment no.9.make
TheApp		= Experiment no.9
HdrFile		= Experiment no.9.h
ResFile		= Experiment no.9.r
SrcFile1	= Experiment no.9.c
SrcFile2	= FontLibrary.c
SrcFile3	= ShapeLibrary.c
#------------------------------------------------------

OBJECTS = "{ObjPath}{SrcFile1}.o"		
		  "{ObjPath}{SrcFile2}.o"		
		  "{ObjPath}{SrcFile3}.o"

"{TheApp}"  "{MakeFile}" "{HdrFile}" "{ResFile}"
	Rez {RezOptions} "{ResFile}" -o "{TheApp}"
	setfile -a Bi "{TheApp}"

"{TheApp}"  "{MakeFile}" {OBJECTS}
	Link {LinkOptions}					
		 {OBJECTS}						
		"{CLibraries}"StdClib.o			
		"{Libraries}"MacRuntime.o		
		"{Libraries}"IntEnv.o			
		"{Libraries}"Interface.o		
	 -o "{TheApp}"

"{ObjPath}{SrcFile1}.o"  "{MakeFile}" "{HdrFile}" "{SrcFile1}"
	SC {COptions} "{SrcFile1}" -o "{ObjPath}"

"{ObjPath}{SrcFile2}.o"  "{GXLibraries}{SrcFile2}"
	SC {COptions} "{GXLibraries}{SrcFile2}" -o "{ObjPath}"

"{ObjPath}{SrcFile3}.o"  "{GXLibraries}{SrcFile3}"
	SC {COptions} "{GXLibraries}{SrcFile3}" -o "{ObjPath}"
